package vip.devkit.DebugKit.Demo;

import android.Manifest;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import vip.devkit.debugkit.ui.KitManagerActivity;

public class MainActivity extends AppCompatActivity {

    /**
     * Debug
     */
    private TextView mTvDebug;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        initView();

    }

    private void initView() {
        mTvDebug = (TextView) findViewById(R.id.tv_debug);
        mTvDebug.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(MainActivity.this, KitManagerActivity.class);
                startActivity(intent);
                String[] permissions=new String[]{Manifest.permission.CAMERA, Manifest.permission.RECORD_AUDIO};
            }
        });
    }
}
