package vip.devkit.debugkit.kit.debug;

import android.content.Context;
import android.content.Intent;
import android.widget.Toast;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.kit.IKit;
import vip.devkit.debugkit.kit.crash.CrashCaptureManager;
import vip.devkit.debugkit.ui.crash.CrashManagerActivity;
import vip.devkit.debugkit.ui.permission.PermissionManagerActivity;
import vip.devkit.debugkit.util.ResUtil;

/**
 * Package    Name: vip.devkit.debugkit.kit.debug
 * File       Name: AppInfoM.java
 * Create     Date: 2019/7/1 17:47
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class CrashManger implements IKit {
    @Override
    public int getCategory() {
        return 0;
    }

    @Override
    public int getName() {
        return R.string.dk_debug_crash;
    }

    @Override
    public int getIcon() {
        return R.mipmap.dk_crash_catch;
    }

    @Override
    public void onClick(Context context) {
        CrashCaptureManager.getInstance().init(context);
        CrashCaptureManager.getInstance().start();
        Intent intent = new Intent(context, CrashManagerActivity.class);
        context.startActivity(intent);
    }

    @Override
    public void onAppInit(Context context) {

    }
}
