package vip.devkit.debugkit.kit.system;

import android.content.Context;
import android.util.Log;
import android.widget.Toast;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.kit.IKit;
import vip.devkit.debugkit.ui.sysinfo.SysInfoKit;
import vip.devkit.debugkit.util.ResUtil;

/**
 * Package    Name: vip.devkit.debugkit.kit
 * File       Name: SysInfo.java
 * Create     Date: 2019/7/1 15:30
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class SysInfo implements IKit {
    @Override
    public int getCategory() {
        return 0;
    }

    @Override
    public int getName() {
        return R.string.dk_sys_system;
    }



    @Override
    public int getIcon() {
        return android.R.mipmap.sym_def_app_icon;
    }

    @Override
    public void onClick(Context context) {
        Toast.makeText(context, ResUtil.getString(context,getName()), Toast.LENGTH_SHORT).show();

        SysInfoKit sysInfoKit =new  SysInfoKit();
        Log.i("build SysInfo:",0+sysInfoKit.getInfo().toString());
    }

    @Override
    public void onAppInit(Context context) {

    }
}
