package vip.devkit.debugkit.adapter;

import androidx.annotation.Nullable;

import java.io.File;
import java.util.List;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.bean.FileInfoBean;
import vip.devkit.debugkit.widget.recyclerview.BaseRecyclerAdapter;
import vip.devkit.debugkit.widget.recyclerview.BaseViewHolder;

/**
 * Package    Name: vip.devkit.debugkit.adapter
 * File       Name: FileInfoAdapter.java
 * Create     Date: 2019/7/9 14:27
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class FileFolderAdapter extends BaseRecyclerAdapter<FileInfoBean, BaseViewHolder> {
    public FileFolderAdapter(int layoutResId, @Nullable List<FileInfoBean> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, FileInfoBean mItem) {
        helper.setText(R.id.tv_folder,mItem.file.getName()+" >");

    }
}
