package vip.devkit.debugkit.adapter;

import android.content.pm.PermissionInfo;

import androidx.annotation.Nullable;


import java.util.List;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.ui.permission.PermissionData;
import vip.devkit.debugkit.widget.recyclerview.BaseRecyclerAdapter;
import vip.devkit.debugkit.widget.recyclerview.BaseViewHolder;

/**
 * Package    Name: vip.devkit.debugkit.adapter
 * File       Name: PermissionManagerAdapter.java
 * Create     Date: 2019/7/3 11:58
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class PermissionManagerAdapter extends BaseRecyclerAdapter<String, BaseViewHolder> {


    public PermissionManagerAdapter(int layoutResId, @Nullable List<String> data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, String name) {
        helper.setText(R.id.tv_permission, name)
                .setText(R.id.tv_desc,""+PermissionData.getPermissionName(name))
                .setChecked(R.id.cb_check, PermissionData.hasSelfPermission(mContext, name));
    }
}
