package vip.devkit.debugkit.kit.debug;

import android.content.Context;
import android.content.Intent;

import vip.devkit.debugkit.R;
import vip.devkit.debugkit.kit.IKit;
import vip.devkit.debugkit.ui.permission.PermissionManagerActivity;

/**
 * Package    Name: vip.devkit.debugkit.kit.debug
 * File       Name: PermissionManager.java
 * Create     Date: 2019/7/1 17:48
 * Author         : K
 * E-mail         : vip@devkit.vip
 * VersionCode    : V 1.0
 * Describe       ：
 * Code Update    :（author - time）
 * Update Describe：
 */
public class PermissionManager implements IKit {
    @Override
    public int getCategory() {
        return 0;
    }

    @Override
    public int getName() {
        return R.string.dk_debug_permission;
    }

    @Override
    public int getIcon() {
        return R.mipmap.dk_crash_permission;
    }

    @Override
    public void onClick(Context context) {
        Intent intent = new Intent(context, PermissionManagerActivity.class);
        context.startActivity(intent);
    }

    @Override
    public void onAppInit(Context context) {

    }
}